%define oldname xmms-musepack
%define stage RC1

Name: xmms-in-musepack
Version: 1.2
Release: alt1.%stage

Summary: Musepack input plugin for XMMS
License: distributable
Group: Sound
Url: http://www.musepack.net/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: %oldname-%version-%stage.tar.bz2

Obsoletes: %oldname
Provides: %oldname = %version

# Automatically added by buildreq on Sun Jun 19 2005
BuildRequires: gcc-c++ glib-devel gtk+-devel libmpcdec-devel libstdc++-devel libtag-devel libxmms-devel pkgconfig

%description
This is an input plugin for XMMS which can play Musepack (.mpc, .mp+) files.

%prep
%setup -q -n %oldname-%version-%stage

%build
%configure
export CXXFLAGS="%optflags %optflags_shared"
%make_build

%install
%makeinstall
%__mkdir_p %buildroot%_libdir/xmms/Input
%__install -p %buildroot%_libdir/lib*.so %buildroot%_libdir/xmms/Input

%files
%doc ChangeLog COPYING INSTALL
%_libdir/xmms/Input/*

%changelog
* Sat Jun 19 2005 LAKostis <lakostis at altlinux.ru> 1.2-alt1.RC1
- NMU release.
- now use libmpcdec and libtag.

* Mon Feb 09 2004 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt2
- Fixed text relocation by exporting CFLAGS.
- Removed annoying popup messages on errors.
- Removed patch for recode since corresponding patch was removed from xmms.
- Renamed to support new naming scheme.

* Fri Mar 21 2003 Andrey Astafiev <andrei@altlinux.ru> 0.98-alt1
- First build for Sisyphus.
